Skip to content

Keys

1 endpoint: retrieve the current key.

Retrieve the current key

GET /v1/me

Returns the key making the request: its permissions, the Workspace it belongs to, who it acts as and the plan's limits.

Any valid key

Response

FieldTypeRequiredDescription
object"api_key"Yes
idstringYes(up to 128 characters)
namestringYes
kindworkspace, personalYes
livemodebooleanYes
api_versionstringYes
scopesarray of stringYes
project_idsarray of stringYes
acting_asobject or objectYes
workspaceobjectYes
workspace.idstringYes(up to 128 characters)
workspace.namestringYes
workspace.typebusiness, personalYes
limitsobjectYes
limits.requests_per_minuteintegerYes(-9007199254740991 to 9007199254740991)
limits.active_keysinteger or nullYes
limits.webhook_endpointsinteger or nullYes
limits.sandboxesinteger or nullYes
curl https://api.nowscale.com/v1/me \
  -H "Authorization: Bearer $NOWSCALE_API_KEY"